!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
module mrtcal_calib_types
  use imbfits_types
  use mrtcal_chunk_types
  use mrtcal_chunkset_types
  use mrtcal_chunkset_nd_types
  use mrtcal_chopperset_types
  use mrtindex_types
  use mrtindex_parse_types
  use mrtcal_obs_list
  use mrtcal_science_types
  use mrtcal_calibration_types
end module mrtcal_calib_types
!
module mrtcal_sicidx
  !---------------------------------------------------------------------
  ! Support module for
  !  Sic structure  IDX%USER%
  !  Command        VARIABLE USER /INDEX
  !---------------------------------------------------------------------
  !
  type mrtcal_classuser_arr_t
    integer(kind=4), allocatable :: obstype(:)  ! Observation type
    real(kind=4),    allocatable :: noise(:)    ! Theoretical noise (rms) from calibration
    real(kind=4),    allocatable :: backeff(:)  ! Backend efficiency
    real(kind=4),    allocatable :: airmass(:)  ! Airmass
    real(kind=4),    allocatable :: expatau(:)  ! exp( airmass * tauzen )
  end type mrtcal_classuser_arr_t
  !
  ! Support variable for command "SET VARIABLE Section /INDEX"
  type(mrtcal_classuser_arr_t), save :: idxuser
  !
end module mrtcal_sicidx
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
